#ifndef SORT_H
#define SORT_H

#include "../../utils/lists.h"

struct dlist *insertion_sort(struct dlist *l);
void split(struct list *l, struct list **list_l, struct list **list_r);
struct list *merge(struct list *left, struct list *right);
struct list *merge_sort(struct list *l);

#endif /* !SORT_H */
